Bug 1279632 - Squid creates three shm files
Squid creates three shm files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rkhunter (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 17:03 EST by Göran Uddeborg
Modified: 2015-12-10 20:51 EST (History)
2 users (show)

See Also:
Fixed In Version: rkhunter-1.4.2-9.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 20:51:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2015-11-09 17:03:36 EST
Description of problem:
After my recent upgrades, rkhunter started to complaining about three shared memory files squid creates.


Version-Release number of selected component (if applicable):
rkhunter-1.4.2-8.fc23.noarch
squid-3.5.9-7.fc23.x86_64


How reproducible:
Every night.


Steps to Reproduce:
1. Run squid and rkhunter.


Actual results:
Warning: Suspicious file types found in /dev:
         /dev/shm/squid-cf__readers.shm: data
         /dev/shm/squid-cf__queues.shm: data
         /dev/shm/squid-cf__metadata.shm: data


Expected results:
No warnings.


Additional info:
I've of course already whitelisted these files in my /etc/rkhunter.conf.  This bugzilla is just in case you want to do that in the default version too.  If you deem it appropriate.
Comment 1 Kevin Fenzi 2015-11-10 10:10:42 EST
Sure, these would be good to add. Thanks for the bug.
Comment 2 Fedora Update System 2015-12-06 13:32:36 EST
rkhunter-1.4.2-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6f12363dd9
Comment 3 Fedora Update System 2015-12-07 23:33:14 EST
rkhunter-1.4.2-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rkhunter'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6f12363dd9
Comment 4 Fedora Update System 2015-12-10 20:50:58 EST
rkhunter-1.4.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.